Export account data
import requests
url = "https://api.13-215-85-171.sslip.io/v1/account/export"
headers = {"Authorization": "Bearer <token>"}
response = requests.get(url, headers=headers)
print(response.text)curl --request GET \
--url https://api.13-215-85-171.sslip.io/v1/account/export \
--header 'Authorization: Bearer <token>'{
"user": {
"id": "3c90c3cc-0d44-4b50-8888-8dd25736052a",
"email": "jsmith@example.com",
"tier": "<string>",
"quota_tier_id": "<string>",
"is_operator": true,
"created_at": "2023-11-07T05:31:56Z",
"updated_at": "2023-11-07T05:31:56Z",
"name": "<string>",
"display_name": "<string>",
"avatar_url": "<string>",
"email_verified_at": "2023-11-07T05:31:56Z",
"soft_deleted_at": "2023-11-07T05:31:56Z",
"delete_scheduled_at": "2023-11-07T05:31:56Z",
"abuse_flags": {}
},
"team": {
"id": "3c90c3cc-0d44-4b50-8888-8dd25736052a",
"name": "<string>",
"slug": "<string>",
"owner_user_id": "3c90c3cc-0d44-4b50-8888-8dd25736052a",
"quota_tier_id": "<string>",
"created_at": "2023-11-07T05:31:56Z",
"updated_at": "2023-11-07T05:31:56Z",
"soft_deleted_at": "2023-11-07T05:31:56Z"
},
"quota_tier": {
"id": "<string>",
"display_name": "<string>",
"max_concurrent_machines": 123,
"daily_machine_creates": 123,
"daily_gb_hours": 123
},
"quota_usage": [
{
"team_id": "3c90c3cc-0d44-4b50-8888-8dd25736052a",
"usage_date": "2023-12-25",
"machine_creates": 123,
"gb_hours": 123,
"updated_at": "2023-11-07T05:31:56Z"
}
],
"api_keys": [
{
"id": "3c90c3cc-0d44-4b50-8888-8dd25736052a",
"user_id": "3c90c3cc-0d44-4b50-8888-8dd25736052a",
"team_id": "3c90c3cc-0d44-4b50-8888-8dd25736052a",
"key_prefix": "<string>",
"name": "<string>",
"is_active": true,
"created_at": "2023-11-07T05:31:56Z",
"last_used_at": "2023-11-07T05:31:56Z",
"scope": "<string>",
"revoked_at": "2023-11-07T05:31:56Z",
"expires_at": "2023-11-07T05:31:56Z",
"rotation_parent_key_id": "3c90c3cc-0d44-4b50-8888-8dd25736052a"
}
],
"machines": [
{}
]
}{
"error": "Missing or invalid bearer credential",
"code": "unauthorized",
"request_id": "req_123"
}{
"error": "Verify your email before using self-serve API routes",
"code": "email_not_verified",
"request_id": "req_123"
}{
"error": "<string>",
"error_detail": {
"message": "<string>",
"retryable": true,
"suggested_action": "<string>",
"step_index": 123,
"attempt": 123,
"max_attempts": 123,
"cache_subject": "<string>",
"build_id": "<string>",
"request_id": "<string>",
"details": {}
},
"request_id": "<string>",
"build_id": "<string>"
}Account
Export account data
Dormant during the private-beta key-only e2e. This route returns
feature_unavailable unless NULLSPACE_SELF_SERVE_AUTH_ENABLED=true
is set. When enabled, it returns a JSON export of the user’s account,
personal team, key metadata, quota usage, and machine metadata.
GET
/
v1
/
account
/
export
Export account data
import requests
url = "https://api.13-215-85-171.sslip.io/v1/account/export"
headers = {"Authorization": "Bearer <token>"}
response = requests.get(url, headers=headers)
print(response.text)curl --request GET \
--url https://api.13-215-85-171.sslip.io/v1/account/export \
--header 'Authorization: Bearer <token>'{
"user": {
"id": "3c90c3cc-0d44-4b50-8888-8dd25736052a",
"email": "jsmith@example.com",
"tier": "<string>",
"quota_tier_id": "<string>",
"is_operator": true,
"created_at": "2023-11-07T05:31:56Z",
"updated_at": "2023-11-07T05:31:56Z",
"name": "<string>",
"display_name": "<string>",
"avatar_url": "<string>",
"email_verified_at": "2023-11-07T05:31:56Z",
"soft_deleted_at": "2023-11-07T05:31:56Z",
"delete_scheduled_at": "2023-11-07T05:31:56Z",
"abuse_flags": {}
},
"team": {
"id": "3c90c3cc-0d44-4b50-8888-8dd25736052a",
"name": "<string>",
"slug": "<string>",
"owner_user_id": "3c90c3cc-0d44-4b50-8888-8dd25736052a",
"quota_tier_id": "<string>",
"created_at": "2023-11-07T05:31:56Z",
"updated_at": "2023-11-07T05:31:56Z",
"soft_deleted_at": "2023-11-07T05:31:56Z"
},
"quota_tier": {
"id": "<string>",
"display_name": "<string>",
"max_concurrent_machines": 123,
"daily_machine_creates": 123,
"daily_gb_hours": 123
},
"quota_usage": [
{
"team_id": "3c90c3cc-0d44-4b50-8888-8dd25736052a",
"usage_date": "2023-12-25",
"machine_creates": 123,
"gb_hours": 123,
"updated_at": "2023-11-07T05:31:56Z"
}
],
"api_keys": [
{
"id": "3c90c3cc-0d44-4b50-8888-8dd25736052a",
"user_id": "3c90c3cc-0d44-4b50-8888-8dd25736052a",
"team_id": "3c90c3cc-0d44-4b50-8888-8dd25736052a",
"key_prefix": "<string>",
"name": "<string>",
"is_active": true,
"created_at": "2023-11-07T05:31:56Z",
"last_used_at": "2023-11-07T05:31:56Z",
"scope": "<string>",
"revoked_at": "2023-11-07T05:31:56Z",
"expires_at": "2023-11-07T05:31:56Z",
"rotation_parent_key_id": "3c90c3cc-0d44-4b50-8888-8dd25736052a"
}
],
"machines": [
{}
]
}{
"error": "Missing or invalid bearer credential",
"code": "unauthorized",
"request_id": "req_123"
}{
"error": "Verify your email before using self-serve API routes",
"code": "email_not_verified",
"request_id": "req_123"
}{
"error": "<string>",
"error_detail": {
"message": "<string>",
"retryable": true,
"suggested_action": "<string>",
"step_index": 123,
"attempt": 123,
"max_attempts": 123,
"cache_subject": "<string>",
"build_id": "<string>",
"request_id": "<string>",
"details": {}
},
"request_id": "<string>",
"build_id": "<string>"
}Authorizations
Supabase Auth access token passed as Bearer token
Response
Account export JSON
Full account data export assembled from the control-plane store.
Show child attributes
Show child attributes
Show child attributes
Show child attributes
Show child attributes
Show child attributes
Show child attributes
Show child attributes
Show child attributes
Show child attributes
Raw machine rows projected from the control-plane store with columns id, template, status, metadata, started_at, destroyed_at, created_at, updated_at.
⌘I